/* *****************************************************************************
   ***** mainstyle.css                                                    ******
   ***** (C) Dirk R. Neumann, 2026                                        ******
   ***************************************************************************** */


@font-face {
	font-family: poppinsregular;
	font-style: normal;
	font-weight: normal;
	src: url(Poppins-Regular.ttf);
}
@font-face {
	font-family: poppinsbold;
	font-style: normal;
	font-weight: normal;
	src: url(Poppins-Bold.ttf);
}
@font-face {
	font-family: poppinsitalic;
	font-style: normal;
	font-weight: normal;
	src: url(Poppins-Italic.ttf);
}
@font-face {
	font-family: poppinsbilditalic;
	font-style: normal;
	font-weight: normal;
	src: url(Poppins-BoldItalic.ttf);
}   

html, body {
	background-color: #1b3a4b;
	color: #000;
	font-size: 14pt;
	font-family: poppinsregular, Arial, Helvetica, sans-serif;
}

div.clear-both {
	clear: both;
}

header {
	background-color: #f7f7f5;
	border-bottom: 3px solid #6c757d;
	display: block;
	width: 100%;
	height: 90px;
	padding: 0.5em 0;
	position: sticky;
	top: 0;
	z-index: 100;
}

nav {
	display: block;
	width: 80%;
	margin: 0 auto;	
}

#nav_block {
	float: left;
	font-family: poppinsbold;
	font-size: 1rem;
	margin-top: 0.5em;
}

.main-nav:link, .main-nav:visited {
	background-color: #f7f7f5;
	border: 1px solid #1b3a4b;
	border-radius: 7px;
	color: #1b3a4b;
	display: inline-block;
	padding: 0.5em 1em;
	margin: 1em 0 0 2em;
	text-decoration: none;
}
.main-nav:hover, .main-nav:focus, .main-nav:active {
	border-color: #f4a259;
	color: #f4a259;
	transform: scale(1.1);
  	transition: transform 0.5s ease;
}

.activemenu:link, .activemenu:visited {
	background-color: #f7f7f5;
	border: 1px solid #3fa796;
	border-radius: 7px;
	color: #3fa796;
	display: inline-block;
	padding: 0.5em 1em;
	margin: 1em 0 0 2em;
	text-decoration: none;
}



#logo {
	float: left;
	width: 180px;
	height: auto;
	margin-right: 2em;
}

#logo img {
	max-width: 100%;
	height: auto;
}

#main_container {
	margin: 0 auto;
	width: 100%;

}

#main_container h1 {
	width: 80%;
	margin: 1em auto;
}

.part-of-page {
	background-color: #f7f7f5;
	border-radius: 20px;
	padding: 2em;
	margin: 0 auto 3em auto;
	width: 80%;
}

.left-img {
	float: left;
	width: 20%;
}
.left-img img {
	max-width: 100%;
	height: auto;
	border-radius: 20px;
}

.section-h2 {
	color: #1a1a1a;
	font-family: poppinsbold;
	font-size: 1.5rem;
}

.section-h2-important {
	color: #f4a259;
	font-family: poppinsbold;
	font-size: 1.5rem;
}

.section-h2-margins {
	color: #1a1a1a;
	font-family: poppinsbold;
	font-size: 1.5rem;
	margin: 1em 0;
}

.section-text {
	color: #1a1a1a;
	display: block;
	font-family: poppinsregular;
	font-size: 1rem;
	float: left;
	padding: 0 2em;
	width: 70%;
	text-align: block;
}

.section-text-subpage {
	color: #1a1a1a;
	display: block;
	font-family: poppinsregular;
	font-size: 1rem;
	float: left;
	padding: 0 2em;
	width: 95%;
	text-align: block;
	margin-bottom: 1em;
}

.section-links {
	float: right;
	width: 20%;
	text-align: right;
}

.sect-link:link, .sect-link:visited {
	color: #f4a259;
	display: block;
	margin: 1em 0;
	text-decoration: none;
}
.sect-link:hover, .sect-link:focus, .sect-link:active {
	color: #3fa796;
	text-decoration: underline;
	transform: scale(1.1);
  	transition: transform 0.5s ease;
}
.active-sect-link {
	color: #3fa796;
	text-decoration: underline;
	display: block;
	margin: 1em 0;
}

.fulltext-link:link, .fulltext-link:visited {
	color: #f4a259;
	display: inline-block;
	margin: 1em 0;
	text-decoration: none;
}
.fulltext-link:hover, .fulltext-link:focus, .fulltext-link:active {
	color: #3fa796;
	text-decoration: underline;
	transform: scale(1.025);
  	transition: transform 0.5s ease;
}


.link-h3 {
	color: #1a1a1a;
	font-family: poppinsbold;
	font-size: 1.15rem;
}

.p-margins {
	margin: 0.5em 0;
	line-height: 1.25em;
}

.p-space {
	padding: 0.25em 0;
}

h1 {
	color: #f7f7f5;
	font-family: poppinsbold;
	font-size: 2rem;
	margin: 1em 0 1em 0;
}

div.titelbild {
	float: left;
	width: 80%;
}
div.titelbild img {
	max-width: 100%;
	height: auto;
	border-radius: 20px;
}


footer {
	background-color: #f7f7f5;
	border-top: 3px solid #6c757d;
	color: #1a1a1a;
	display: block;
	width: 100%;
	padding: 0.5em 0;
}

#footer_content {
	width: 80%;
	margin: 1em auto 2em auto;
}

.footer-sect {
	width: 30%;
	float: left;
}

.footer-h2 {
	color: #1a1a1a;
	font-family: poppinsbold;
	font-size: 1.15rem;
	margin-bottom: 1em;
}

.footer-h3 {
	color: #1a1a1a;
	font-family: poppinsbold;
	font-size: 1rem;
	margin-top: 0.5em;
}

.footer-link:link, .footer-link:visited {
	color: #f4a259;
	display: inline-block;
	text-decoration: none;
	margin: 0.25em 0 0.25em 0;
}
.footer-link:hover, .footer-link:focus, .footer-link:active {
	color: #3fa796;
	text-decoration: underline;
	transform: scale(1.05);
  	transition: transform 0.5s ease;
}



/* *******************************************************************************
 * Mobile only
 * ********************************************************************************/
#mobile_nav_block {
	float: right;
	font-family: poppinsbold;
	font-size: 1rem;
	margin: 0.5em 1.5em 0 0;
}


#mobile_menu_button:link, #mobile_menu_button:visited {
	display: inline-block;
	width: 40px;
	height: 40px;
	background-image: url(../genimages/menu_icn.png);
	background-size: contain;
}
#mobile_menu_button:hover, #mobile_menu_button:focus, #mobile_menu_button:active {
	background-image: url(../genimages/menu_icn_high.png);
}
#main_menu_bg {
	background-color: #F7F7F5;
	padding: 1em;
	position: sticky;
	top: 10;
	z-index: 110;
}
#main_menu {
	display: block;
	
	border: 2px solid #F4A259;
	border-radius: 7px;
	padding: 1em 1em 1em 1em;
	font-size: 1.5rem;
}
#main_menu li {
	margin: 0.75em 0;
}
.mobile-menu-point:link, .mobile-menu-point:visited {
	text-decoration: none;
	color: #1B3A4B;
}
.mobile-menu-point:hover, .mobile-menu-point:focus {
	color: #F4A259;
}
.mobile-menu-point:active {
	text-decoration: underline;
	color: #3FA796;
}
#menu_title {
	float: left;
	font-family: poppinsbold;
	font-size: 1.5rem;
}
#menu_closer:link, #menu_closer:visited {
	display: block;
	float: right;
	width: 30px;
	height: 30px;
	background-image: url(../genimages/cancel_btn.png);
	background-size: contain;
}
#menu_closer:hover, #menu_closer:focus, #menu_closer:active {
	background-image: url(../genimages/cancel_btn_high.png);
}

/* *******************************************************************************
 * Media Queries
 * ********************************************************************************/
@media screen and (min-width: 1731px) {
	#nav_block {
		display: block;
	}
	#mobile_nav_block {
		display: none;
	}
	#main_menu_bg {
		display: none;
	}
}

@media screen and (max-width: 1730px) {
	html, body {
		font-size: 12pt;
	}
	header {
		height: 70px;
	}
	#logo {
		width: 130px;
	}
	#nav_block {
		display: block;
		margin-top: 0;
	}
	.main-nav:link, .main-nav:visited {
		padding: 0.5em 0.75em;
		margin-left: 1em;
	}
	#mobile_nav_block {
		display: none;
	}
	#main_menu_bg {
		display: none;
	}
	div.titelbild {
		width: 70%;
	}
	.section-links {
		width: 30%;
	}
}

@media screen and (max-width: 1250px) {
	html, body {
		font-size: 11.5pt;
	}
	header {
		height: 70px;
	}
	#logo {
		width: 130px;
	}
	#nav_block {
		display: block;
		margin-top: 0;
	}
	#mobile_nav_block {
		display: none;
	}
	#main_menu_bg {
		display: none;
	}
	div.titelbild {
		width: 70%;
	}
	.section-links {
		width: 30%;
	}
}

@media screen and (max-width: 1006px) {
	html, body {
		font-size: 11pt;
	}
	header {
		height: 60px;
	}
	h1 {
		font-size: 1.5rem;
	}
	#logo {
		width: 120px;
	}
	#nav_block {
		display: none;
	}
	#mobile_nav_block {
		display: block;
	}
	#main_menu_bg {
		display: none;
	}
	.part-of-page {
		padding: 1em;
	}
	.section-text {
		padding: 0 1em 0 0.5em;
		width: 100%;
		text-align: block;
	}
	.section-text-subpage {
		padding: 0;
	}
	.section-h2, .section-h2-important {
		font-size: 1.2rem;
	}
	.section-h2-margins {
		font-size: 1.2rem;
		margin: 0.5em 0;
	}


	.left-img {
		float: none;
		width: 100%;
	}

	div.titelbild {
		float: none;
		width: 100%;
	}
	.section-links {
		float: none;
		width: 100%;
		text-align: left;
	}

	.footer-sect {
		width: 100%;
		float: none;
	}
	.footer-h2 {
		margin: 1em 0 0.5em 0;
	}
}










